import { LanguageKeys } from "../../features/multi-lingual/index";
export type Grecaptcha = {
    getResponse(widgetId?: number): string;
    reset(widgetId?: number): void;
    ready(callback: () => void): void;
    execute(siteKey: string, options: {
        action: string;
    }): Promise<string>;
    render(container: HTMLElement | string, parameters: {
        'sitekey': string;
        'callback'?: (token: string) => void;
        'error-callback'?: () => void;
        'expired-callback'?: () => void;
    }): number;
};
export declare const setupRecaptcha: (recaptchaKey: string, language?: LanguageKeys, callback?: () => void) => void;
